%define xmmsinputdir	/usr/lib/xmms/Input

Summary: An encoder/decoder for the Free Lossless Audio Codec.
Name: flac
Version: 1.0
Release: fr1
Copyright: GPL
Group: Applications/Multimedia
Source: flac-1.0-src.tar.bz2
URL: http://flac.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: xmms-devel, nasm

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

FLAC is comprised of 1) `libFLAC', a library which implements
reference encoders and decoders, licensed under the GNU Lesser
General Public License (LGPL); 2) `flac', a command-line program for
encoding and decoding files, licensed under the GNU General public
License (GPL); 3) `metaflac', a command-line program for editing
FLAC metadata, licensed under the GPL; 4) player plugins for XMMS
and Winamp, licensed under the GPL; and 5) documentation, licensed
under the GNU Free Documentation License.


%package devel
Group: Development/Libraries
Summary: Static libraries and header files from FLAC.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains all the files needed to develop applications that
will use the Free Lossless Audio Codec.


%prep
%setup -q

%build
mv configure.in configure.in.nolibtoolize
%configure
mv configure.in.nolibtoolize configure.in
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{xmmsinputdir}
export LD_LIBRARY_PATH="%{buildroot}%{_libdir}:$LD_LIBRARY_PATH"
# This is crap, you must already have a part of the package installed
# for this to work... I'm sorry! :-(
%makeinstall	includedir=%{buildroot}%{_includedir}/FLAC \
		xmmsinputplugindir=%{buildroot}%{xmmsinputdir}
find doc/ -name "Makefile*" | xargs rm -f {} \;

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* README doc
%{_bindir}/flac
%{_bindir}/metaflac
%{_libdir}/libFLAC.so.*
%{_mandir}/man1/*
%{xmmsinputdir}/*

%files devel
%defattr(-, root, root)
%{_includedir}/FLAC
%{_libdir}/libFLAC.a
%{_libdir}/libFLAC.la
%{_libdir}/libFLAC.so

%changelog
* Thu Aug 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.
- You cannot rebuild this SRPM easily if you want the xmms plugin.

